 variable "account_id" {
   description = "ID of the CloudCheckr AWS account"
   default     = "352813966189"
 }

 variable "external_id" {
   description = "External ID for the CloudCheckr account"
}

data "template_file" "assume_role" {
  template = "${file("${path.module}/assume_role.json.tpl")}"
   
  vars {
    account_id  = "${var.account_id}"
    external_id = "${var.external_id}"
  }
}

resource "aws_iam_role" "main" {
  name               = "CloudCheckr"
  assume_role_policy = "${data.template_file.assume_role.rendered}"
}

resource "aws_iam_policy" "main" {
  name = "CloudCheckr"
  policy = "${file("${path.module}/role_policy.json")}"
}

resource "aws_iam_policy_attachment" "main" {
  name       = "CloudCheckr"
  roles      = ["${aws_iam_role.main.name}"]
  policy_arn = "${aws_iam_policy.main.arn}"
}

output "name" { 
  value = "${aws_iam_role.main.name}"
}

output "policy" {
  value = "${aws_iam_policy.main.name}"
}
